<!DOCTYPE html>

% import lonote.translate
% g = lonote.translate.get_gettext_func()

<html lang="">
    <head>
        <meta charset="utf-8" />
        <title>{{!g('LoNote\'s Hotkey Table')}}</title>
        <meta name="description" content="LoNote's Hotkey Table" />
        <style>
            body {
                background-color: #FFE;
                font-family: "Georgia", "Times New Roman", "Droid Sans", sans-serif;
            }

            table {
                margin: auto;
                margin-top: 30px;
                margin-bottom: 30px;
                width: 90%;
            }

            th {
                font-size: 1.15em;
            }

            tr:nth-child(2n+1) {
                background-color: #EED;
            }

            tr:nth-child(2n+2) {
                background-color: #DDA;
            }

            td {
                padding: 5px;
            }

            td:first-child {
                font-weight: bold;
                width: 30%;
                text-align: center;
            }

            td:last-child {
                font-style: italic;
            }

            p {
                text-align: center;
                color: brown;
                font-weight: bold;
            }
        </style>
    </head>

    <body>
        <h1 style="text-align: center;">{{!g('LoNote Hotkey Table')}}</h1>
        <p>{{!g('Hint: Almost all editing function only have hotkey but no button.')}}</p>
        
        <article>
            <table>
                <thead>
                </thead>

                <tbody>
                    <tr><th colspan="2"><h2>{{!g('Note Management')}}</h2></th></tr>
                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Description')}}</th></tr>

                    <tr><td>Alt + N</td><td>{{!g('Create a new note.')}}</td></tr>
                    <tr><td>Ctrl + Alt + N</td><td>{{!g('Make a new history record.')}}</td></tr>
                    <tr><td>F2</td><td>{{!g('Change current note title.')}}</td></tr>
                    <tr><td>F8</td><td>{{!g('Move current note\'s position.')}}</td></tr>
                    <!--
                    <tr><td>F8</td><td>Export current note and all sub-notes as a new notebook.</td></tr>
                    <tr><td>F9</td><td>Import a existing notebook as sub-notes of this note.</td></tr>
                    -->
                    <tr><td>Shift + Delete</td><td>{{!g('Remove the current note.')}}</td></tr>

                    <tr><th colspan="2"><h2>{{!g('Content Editing')}}</h2></th></tr>

                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Basic Formating')}}</th></tr>
                    <tr><td>Ctrl + K</td><td>{{!g('Remove format')}}</td></tr>
                    <tr><td>Ctrl + B</td><td>{{!g('Bold')}}</td></tr>
                    <tr><td>Ctrl + I</td><td>{{!g('Italic')}}</td></tr>
                    <tr><td>Ctrl + U</td><td>{{!g('Underline')}}</td></tr>
                    <tr><td>Ctrl + S</td><td>{{!g('Strike')}}</td></tr>
                    <tr><td>Alt + ↑</td><td>{{!g('Font size increase')}}</td></tr>
                    <tr><td>Alt + ↓</td><td>{{!g('Font size decrease')}}</td></tr>
                    <tr><td>Ctrl + E</td><td>{{!g('Color change')}}</td></tr>
                    <tr><td>Alt + K</td><td>{{!g('Super script')}}</td></tr>
                    <tr><td>Alt + J</td><td>{{!g('Sub script')}}</td></tr>

                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Paragraph Formating')}}</th></tr>
                    <tr><td>Alt + 0 or Alt + `</td><td>{{!g('Paragraph')}}</td></tr>
                    <tr><td>Alt + 1 ~ 6</td><td>{{!g('Heading 1 ~ 6')}}</td></tr>
                    <tr><td>Alt + 7</td><td>{{!g('Blockquote')}}</td></tr>
                    <tr><td>Alt + 8</td><td>{{!g('Code (pre block)')}}</td></tr>
                    <tr><td>Alt + P</td><td>{{!g('Unordered List')}}</td></tr>
                    <tr><td>Alt + O</td><td>{{!g('Ordered List')}}</td></tr>
                    <tr><td>Alt + ]</td><td>{{!g('Indent')}}</td></tr>
                    <tr><td>Alt + [</td><td>{{!g('Outdent')}}</td></tr>
                    <tr><td>Alt + ,</td><td>{{!g('Justify Left')}}</td></tr>
                    <tr><td>Alt + .</td><td>{{!g('Justify Right')}}</td></tr>
                    <tr><td>Alt + M</td><td>{{!g('Justify Center')}}</td></tr>

                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Inserting & Linking')}}</th></tr>
                    <tr><td>Alt + I</td><td>{{!g('Insert Resource')}}</td></tr>
                    <tr><td>Ctrl + Alt + I</td><td>{{!g('Insert (or edit) HTML Source Code.')}}</td></tr>
                    <tr><td>Alt + W</td><td>{{!g('Quick Wrap: use insert wrapper setting to wrap the current selection.')}}</td></tr>
                    <tr><td>Ctrl + L</td><td>{{!g('Create a Link of Selected Text.<br/>(Format: TEXT@LINK or only LINK)')}}</td></tr>
                    <tr><td>Ctrl + Shift + K</td><td>{{!g('Remove link')}}</td></tr>
                    <tr><td>Alt + D</td><td>{{!g('Insert Date-stamp')}}<br/>(<a href="/config">{{!g('Configure the Date-stamp format')}}</a>)</td></tr>
                    <tr><td>Alt + T</td><td>{{!g('Insert Time-stamp')}}<br/>(<a href="/config">{{!g('Configure the Time-stamp format')}}</a>)</td></tr>

                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Image Resizing')}}</th></tr>
                    <tr><td>Shift + {{!g('Mousewheel')}}<br/>{{!g('(on image)')}}</td><td>{{!g('Resize the image.')}}</td></tr>
                    <tr><td>Shift + {{!g('LeftClick')}}<br/>{{!g('(on image)')}}</td><td>{{!g('Resize the image to default width.')}}</td></tr>

                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Code Highlight')}}</th></tr>
                    <tr><td>Shift + {{!g('DoubleClick')}}<br/>{{!g('(on code)')}}</td><td>{{!g('Colorize the code text.')}}</td></tr>


                    <tr><th colspan="2"><h2>{{!g('Other')}}</h2></th></tr>
                    <tr><th>{{!g('The hotkey')}}</th><th>{{!g('Description')}}</th></tr>

                    <tr><td>F1</td><td>{{!g('Open this table.')}}</td></tr>
                    <tr><td>F4</td><td>{{!g('Toggle last note / Bookshelf.')}}</td></tr>
                    <tr><td>F9</td><td>{{!g('Search some note with keyword.')}}</td></tr>
                    <tr><td>F10</td><td>{{!g('Toggle view/edit mode.')}}</td></tr>
                    <tr><td>Alt + Q</td><td>{{!g('Show the Index of Content')}}</td></tr>
                    <tr><td>Alt + PageUp</td><td>{{!g('Goto upper page in the same level.')}}</td></tr>
                    <tr><td>Alt + PageDown</td><td>{{!g('Goto lower page in the same level.')}}</td></tr>
                    <tr><td>Ctrl + Alt + PageUp</td><td>{{!g('Goto top page in the same level.')}}</td></tr>
                    <tr><td>Ctrl + Alt + PageDown</td><td>{{!g('Goto bottom page in the same level.')}}</td></tr>

                    <tr><th colspan="2"><h2>{{!g('Browser Build-in')}}</h2></th></tr>
                    <tr><th>{{!g('Browser')}}</th><th>{{!g('Document')}}</th></tr>
                    <tr><td>Firefox</td><td>{{!g('See the')}} <a href="http://support.mozilla.org/kb/keyboard-shortcuts-perform-firefox-tasks-quickly">Mozilla Support</a> {{!g('(Multi language)')}}</td></tr>
                    <tr><td>Chrome / Chromium</td><td>{{!g('See the')}} <a href="https://support.google.com/chrome/bin/answer.py?topic=25799&answer=171571">Chrome Help</a> {{!g('(Multi language)')}}</td></tr>
                </tbody>

                <tfoot>
                </tfoot>
            </table>
        </article>

    </body>

</html>
